View Issue Details

IDProjectCategoryView StatusLast Update
0005448DarkRadiantMap Editingpublic20.12.2020 04:07
ReporterIZaRTaX Assigned Togreebo  
PrioritynormalSeverityblockReproducibilityunable to reproduce
Status resolvedResolutionfixed 
PlatformPCOSWindows 7 Ultimate Edition ‎X64OS Version2/26/2019
Product Version2.9.0 
Target Version2.10.0Fixed in Version2.10.0 
Summary0005448: Loading 16 bit PNG is crashing DarkRadiant, and greyscale PNGs are not loaded correctly
DescriptionHi, everytime you try to open Png 16 bits file it causes Radiant crash only 8 bits png is working.

https://youtu.be/7mghVOgDirI

also the grey channel is no longer supported in 2.10.0 https://i.imgur.com/YmoLlzi.png https://i.imgur.com/32wYS1Q.png

but working good in 2.8.0, https://i.imgur.com/Xx2tCDm.png
TagsBug

Activities

greebo

greebo

19.12.2020 17:40

administrator   ~0013166

Can you maybe share the grayscale PNG file? I tried to repro that, but I can't get it to show up as transparent in DR 2.8.0.
I can see the difference in 2.10.0 though, so with your file I should be able to fix it.
IZaRTaX

IZaRTaX

19.12.2020 18:36

reporter   ~0013167

The grey one are glass_01.png, glass_02.png, glass_03.png > https://www.mediafire.com/file/95c029iid287ubd/IZaRTaX_Greebo_textures_test.zip/file
greebo

greebo

20.12.2020 04:05

administrator   ~0013169

Thanks, with that file and the corresponding material declaration I could repro it easily.

Related Changesets

DarkRadiant: master d5025d88

2020-12-19 06:24:43

greebo

Details Diff
0005448: Add test cases to load 8 bit and 16 bit PNG files (16 bit is crashing in this revision) Affected Issues
0005448
mod - test/CMakeLists.txt Diff File
add - test/ImageLoading.cpp Diff File
add - test/resources/tdm/materials/pngs.mtr Diff File
add - test/resources/tdm/textures/pngs/twentyone_16bit.png Diff File
add - test/resources/tdm/textures/pngs/twentyone_8bit.png Diff File
mod - tools/msvc/Tests/Tests.vcxproj Diff File
mod - tools/msvc/Tests/Tests.vcxproj.filters Diff File

DarkRadiant: master ec5c1afe

2020-12-19 16:10:24

greebo

Details Diff
0005448: Tell libpng to scale down 16-bit values to 8-bit, PNGLoader can load 16-Bit PNG files now without crashing Affected Issues
0005448
mod - radiantcore/imagefile/PNGLoader.cpp Diff File

DarkRadiant: master 906af044

2020-12-20 04:01:38

greebo

Details Diff
0005448: Add (currently failing) test case loading an 8-Bit Greyscale PNG with alpha channel Affected Issues
0005448
mod - test/ImageLoading.cpp Diff File
mod - test/resources/tdm/materials/pngs.mtr Diff File
add - test/resources/tdm/textures/pngs/transparent_greyscale.png Diff File

DarkRadiant: master ce4df7b0

2020-12-20 04:03:11

greebo

Details Diff
0005448: Tell PNG to convert greyscale images to RGBA, with or without alpha channel. This fixes the corresponding unit test. Affected Issues
0005448
mod - radiantcore/imagefile/PNGLoader.cpp Diff File

Issue History

Date Modified Username Field Change
19.12.2020 00:33 IZaRTaX New Issue
19.12.2020 00:33 IZaRTaX Tag Attached: Bug
19.12.2020 00:33 IZaRTaX Description Updated View Revisions
19.12.2020 00:34 IZaRTaX Description Updated View Revisions
19.12.2020 00:35 IZaRTaX Description Updated View Revisions
19.12.2020 00:35 IZaRTaX Description Updated View Revisions
19.12.2020 02:49 greebo Product Version => 2.10.0
19.12.2020 02:49 greebo Status new => acknowledged
19.12.2020 07:39 IZaRTaX OS x64 => Windows 7 Ultimate Edition ‎X64
19.12.2020 07:39 IZaRTaX Platform Windows 7 => PC
19.12.2020 07:40 IZaRTaX OS Version 2019 => 2/26/2019
19.12.2020 17:40 greebo Status acknowledged => confirmed
19.12.2020 17:40 greebo Note Added: 0013166
19.12.2020 17:52 greebo Changeset attached => DarkRadiant master d5025d88
19.12.2020 17:52 greebo Changeset attached => DarkRadiant master ec5c1afe
19.12.2020 17:52 greebo Assigned To => greebo
19.12.2020 17:52 greebo Status confirmed => assigned
19.12.2020 18:36 IZaRTaX Note Added: 0013167
20.12.2020 04:04 greebo Changeset attached => DarkRadiant master 906af044
20.12.2020 04:04 greebo Changeset attached => DarkRadiant master ce4df7b0
20.12.2020 04:05 greebo Status assigned => resolved
20.12.2020 04:05 greebo Resolution open => fixed
20.12.2020 04:05 greebo Fixed in Version => 2.10.0
20.12.2020 04:05 greebo Note Added: 0013169
20.12.2020 04:05 greebo Product Version 2.10.0 => 2.9.0
20.12.2020 04:05 greebo Target Version => 2.10.0
20.12.2020 04:07 greebo Summary Png 16 bits is no longer supported in "2.10.0 pre-release" grey channel too => Loading 16 bit PNG is crashing DarkRadiant, and greyscale PNGs are not loaded correctly